org.eclipse.eef.properties.ui.legacy.internal.eef2legacy

## Class LegacySectionDescriptor

- java.lang.Object
- - org.eclipse.eef.properties.ui.legacy.internal.eef2legacy.LegacySectionDescriptor

All Implemented Interfaces:
  org.eclipse.ui.views.properties.tabbed.ISectionDescriptor

    public class LegacySectionDescriptor
    extends java.lang.Object
    implements org.eclipse.ui.views.properties.tabbed.ISectionDescriptor

Wraps an `IEEFSectionDescriptor` to an `ISectionDescriptor`.

### Field Summary

### Fields inherited from interface org.eclipse.ui.views.properties.tabbed.ISectionDescriptor

`ENABLES_FOR_ANY, TOP`

### Constructor Summary

Constructors
Constructor and Description
`LegacySectionDescriptor(IEEFSectionDescriptor eefSectionDescriptor)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `appliesTo(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)`
`java.lang.String` `getAfterSection()`
`int` `getEnablesFor()`
`org.eclipse.jface.viewers.IFilter` `getFilter()`
`java.lang.String` `getId()`
`java.util.List` `getInputTypes()`
`org.eclipse.ui.views.properties.tabbed.ISection` `getSectionClass()`
`java.lang.String` `getTargetTab()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LegacySectionDescriptor

    public LegacySectionDescriptor(IEEFSectionDescriptor eefSectionDescriptor)

The constructor.

Parameters:
  `eefSectionDescriptor` - EEF section descriptor

### Method Detail

#### getId

    public java.lang.String getId()

Specified by:
  `getId` in interface `org.eclipse.ui.views.properties.tabbed.ISectionDescriptor`
See Also:
  `ISectionDescriptor.getId()`

#### getFilter

    public org.eclipse.jface.viewers.IFilter getFilter()

Specified by:
  `getFilter` in interface `org.eclipse.ui.views.properties.tabbed.ISectionDescriptor`
See Also:
  `ISectionDescriptor.getFilter()`

#### getInputTypes

    public java.util.List getInputTypes()

Specified by:
  `getInputTypes` in interface `org.eclipse.ui.views.properties.tabbed.ISectionDescriptor`
See Also:
  `ISectionDescriptor.getInputTypes()`

#### getSectionClass

    public org.eclipse.ui.views.properties.tabbed.ISection getSectionClass()

Specified by:
  `getSectionClass` in interface `org.eclipse.ui.views.properties.tabbed.ISectionDescriptor`
See Also:
  `ISectionDescriptor.getSectionClass()`

#### getTargetTab

    public java.lang.String getTargetTab()

Specified by:
  `getTargetTab` in interface `org.eclipse.ui.views.properties.tabbed.ISectionDescriptor`
See Also:
  `ISectionDescriptor.getTargetTab()`

#### getEnablesFor

    public int getEnablesFor()

Specified by:
  `getEnablesFor` in interface `org.eclipse.ui.views.properties.tabbed.ISectionDescriptor`
See Also:
  `ISectionDescriptor.getEnablesFor()`

#### appliesTo

    public boolean appliesTo(org.eclipse.ui.IWorkbenchPart part,
                             org.eclipse.jface.viewers.ISelection selection)

Specified by:
  `appliesTo` in interface `org.eclipse.ui.views.properties.tabbed.ISectionDescriptor`
See Also:
  `ISectionDescriptor.appliesTo(IWorkbenchPart, ISelection)`

#### getAfterSection

    public java.lang.String getAfterSection()

Specified by:
  `getAfterSection` in interface `org.eclipse.ui.views.properties.tabbed.ISectionDescriptor`
See Also:
  `ISectionDescriptor.getAfterSection()`